:root {
--header-font: "xenera";
--body-font: "xenera";
--text-color: #333333;
}

html,
body {
  color: var(--text-color) !important;
  font-family: var(--body-font), sans-serif !important;
  margin: 0;
  padding: 0;
}

body {
  background-image: url("assets/bg.png");
  background-size: 25px;
  background-repeat: repeat;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--header-font);
}

.main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  height: 100vh;
  overflow-y: hidden;
  align-items: center;
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 12rem;
  margin-bottom: 2rem;
}

.spinner {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 5rem;
  animation: spin 2s linear infinite;
  margin-top: 1rem;
}

@keyframes spin {
  from {
    transform:rotate(0deg);
  }
  to {
    transform:rotate(360deg);
  }
}

.logo img {
  width: 100%;
}

.spinner img {
  width: 100%;
}

.loading {
  display: none;
  max-width: 70ch;
  padding: 2rem;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.err-dom {
  display: none;
}